Closed Bug 727488 Opened 8 years ago Closed 1 year ago

[cb-seamonkey-win32-0x, sea-win32-0x] Intermittent/permanent purple: "No such file or directory: '/e/builds/slave/test/minidumps'"

Categories

(SeaMonkey :: Release Engineering, defect, P2, major)

x86
Windows Server 2003

Tracking

(Not tracked)

RESOLVED WORKSFORME

People

(Reporter: sgautherie, Assigned: backburner)

References

Details

Attachments

(1 file, 2 obsolete files)

I had noticed this recently: confirming.

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1328972889.1328974569.19617.gz
WINNT 5.2 comm-central-trunk debug test mochitest-other on 2012/02/11 07:08:09
s: cb-seamonkey-win32-03
+
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1329149723.1329151362.1676.gz
WINNT 5.2 comm-central-trunk debug test mochitest-other on 2012/02/13 08:15:23
s: cb-seamonkey-win32-01
+
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1329252901.1329254569.6196.gz&fulltext=1
WINNT 5.2 comm-central-trunk debug test mochitest-other on 2012/02/14 12:55:01
s: cb-seamonkey-win32-02
{
INFO | runtests.py | Received unexpected exception while running application '[Errno 2] No such file or directory: '/e/builds/slave/test/minidumps''
}
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1341379736.1341382775.27840.gz
WINNT 5.2 comm-central-trunk debug test mochitest-other on 2012/07/03 22:28:56
s: sea-win32-01
{
PROCESS-CRASH | chrome://mochitests/content/browser/suite/common/places/tests/browser_0_library_left_pane_migration.js | application crashed (minidump found)
Crash dump filename: c:\docume~1\seabld\locals~1\temp\tmpglor4c\minidumps\c11ae747-81e1-4557-b9b2-755835bca9fe.dmp
...
INFO | runtests.py | Received unexpected exception while running application
Traceback (most recent call last):
  File "mochitest/runtests.py", line 697, in runTests
    timeout = timeout)
  File "e:\builds\slave\test\build\mochitest\automation.py", line 908, in runApp
    self.checkForCrashes(profileDir, symbolsPath)
  File "e:\builds\slave\test\build\mochitest\automation.py", line 840, in checkForCrashes
    automationutils.checkForCrashes(os.path.join(profileDir, "minidumps"), symbolsPath, self.lastTestSeen)
  File "e:\builds\slave\test\build\mochitest\automationutils.py", line 195, in checkForCrashes
    shutil.move(d, dumpSavePath)
  File "d:\mozilla-build\python25\lib\shutil.py", line 199, in move
    copy2(src,dst)
  File "d:\mozilla-build\python25\lib\shutil.py", line 91, in copy2
    copyfile(src, dst)
  File "d:\mozilla-build\python25\lib\shutil.py", line 47, in copyfile
    fdst = open(dst, 'wb')
IOError: [Errno 2] No such file or directory: '/e/builds/slave/test/minidumps'
}

This looks like a path issue.

NB: Currently perma-purple, due to bug 770687.
Blocks: 770687
Priority: -- → P2
Summary: [cb-seamonkey-win32-0x] Intermittent purple: "No such file or directory: '/e/builds/slave/test/minidumps'" → [cb-seamonkey-win32-0x, sea-win32-0x] Intermittent/permanent purple: "No such file or directory: '/e/builds/slave/test/minidumps'"
Duplicate of this bug: 781079
Assignee: nobody → ewong
Status: NEW → ASSIGNED
Attachment #651097 - Flags: review?(bugspam.Callek)
Comment on attachment 651097 [details] [diff] [review]
Use Windows style paths when building on Windows.

Pretty sure thats more complex than i feel comfortable with. Would also love either bhearsum or catlee to look at next iteration or speak their thoughts
Attachment #651097 - Flags: review?(bugspam.Callek) → review-
Attachment #651097 - Attachment is obsolete: true
Attachment #651246 - Flags: feedback?(bhearsum)
Comment on attachment 651246 [details] [diff] [review]
Use Windows style paths when building on Windows. (v2)

Review of attachment 651246 [details] [diff] [review]:
-----------------------------------------------------------------

This isn't an issue for our masters, so please don't land it anywhere except the seamonkey branch - we recently ejected most of the SeaMonkey-specific code, and aren't looking to add more back in.

::: process/factory.py
@@ +431,5 @@
>          ))
>          self.addInitialSteps()
>  
>      def addInitialSteps(self):
> +        if self.platform and self.platform.startswith('WIN'):

Our platforms are lower cased, so this definitely won't work.
Attachment #651246 - Flags: feedback?(bhearsum) → feedback-
(In reply to Ben Hearsum [:bhearsum] from comment #6)
> Comment on attachment 651246 [details] [diff] [review]
> Use Windows style paths when building on Windows. (v2)
> 
> Review of attachment 651246 [details] [diff] [review]:
> -----------------------------------------------------------------
> 
> This isn't an issue for our masters, so please don't land it anywhere except
> the seamonkey branch - we recently ejected most of the SeaMonkey-specific
> code, and aren't looking to add more back in.

Sorry.  I forgot to mention in my feedback request that I was looking
more on the coding merit rather than where it's landing.  When ok,
the patch will only be landing on the seamonkey-production side of things.

Thanks for the feedback.
(In reply to Ben Hearsum [:bhearsum] from comment #6)
> This isn't an issue for our masters

Edmund (or Ben), I wonder what the "underlying" cause of the SeaMonkey symptom is (compared to MoCo masters)...
This is for seamonkey-production branch.
Attachment #651246 - Attachment is obsolete: true
Attachment #653172 - Flags: feedback?(bhearsum)
Attachment #653172 - Flags: feedback?(bhearsum) → feedback+
Attachment #653172 - Flags: review?(bugspam.Callek)
Comment on attachment 653172 [details] [diff] [review]
Use Windows style paths when building on Windows. (v3)

Review of attachment 653172 [details] [diff] [review]:
-----------------------------------------------------------------

I'm nervous about switching this to a win-style, so I'm going to push this a bit lower on my patch-priority-list
Assignee: ewong → backburner
Comment on attachment 653172 [details] [diff] [review]
Use Windows style paths when building on Windows. (v3)

patch is severely bitrotted.
Attachment #653172 - Flags: review?(bugspam.Callek)
Closing due to being irrelevant as the machine is now gone.
Status: ASSIGNED → RESOLVED
Closed: 1 year ago
Resolution: --- → INACTIVE
Resolution: INACTIVE → WORKSFORME
You need to log in before you can comment on or make changes to this bug.